#### D.6.16.1 KSker

Procedure from library `kskernel.lib` (see kskernel_lib).

Usage:
  KSker(int p,q); p,q relatively prime integers

Return:
  nothing; exports ring KSring, matrix KSkernel and list 'weights'; KSkernel is a matrix of coefficients of the
  generators of the kernel of Kodaira-Spencer map,
  'weights' is a list of degrees for variables T

Example:

    LIB "kskernel.lib";
    int p=6;
    int q=7;
    KSker(p,q);
    setring Kskernel::KSring;
    print(KSkernel);
    ==> 0,     0,     0,            0,            0,            2*T(1),
    ==> 0,     0,     0,            0,            0,            3*T(2),
    ==> 0,     0,     0,            0,            0,            4*T(3),
    ==> 0,     0,     0,            2*T(1),       3*T(2),       9*T(4),
    ==> 0,     0,     0,            3*T(2),       KSkernel[5,5],10*T(5),
    ==> 2*T(1),3*T(2),KSkernel[6,3],KSkernel[6,4],KSkernel[6,5],16*T(6)

User manual for Singular version 4.4.1, 2025, generated by texi2html.